#
# Conditional build:
%bcond_with	tests		# build with tests
# TODO:
# - runtime Requires if any
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		kauth

Summary:	Execute actions as privileged user
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	7e7309adfe46cc168ee35a79e29d1849
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	polkit-qt5-1-devel >= 0.99.0
BuildRequires:	polkit-qt5-1-gui-devel >= 0.99.0
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-dirs
Requires:	kf5-kcoreaddons >= %{version}
Requires:	polkit-qt5-1 >= 0.99.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KAuth provides a convenient, system-integrated way to offload actions
that need to be performed as a privileged user (root, for example) to
small (hopefully secure) helper utilities.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 3.16
Requires:	kf5-kcoreaddons-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5Auth.so.5
%attr(755,root,root) %{_libdir}/libKF5Auth.so.*.*
%ghost %{_libdir}/libKF5AuthCore.so.5
%attr(755,root,root) %{_libdir}/libKF5AuthCore.so.5.*.*
%dir %{qt5dir}/plugins/kauth
%dir %{qt5dir}/plugins/kauth/backend
%attr(755,root,root) %{qt5dir}/plugins/kauth/backend/kauth_backend_plugin.so
%dir %{qt5dir}/plugins/kauth/helper
%attr(755,root,root) %{qt5dir}/plugins/kauth/helper/kauth_helper_plugin.so
%dir %{_libexecdir}/kauth
%attr(755,root,root) %{_libexecdir}/kauth/kauth-policy-gen
%dir %{_datadir}/kf5/kauth
%{_datadir}/dbus-1/system.d/org.kde.kf5auth.conf
%{_datadir}/kf5/kauth/dbus_policy.stub
%{_datadir}/kf5/kauth/dbus_service.stub
%{_datadir}/qlogging-categories5/kauth.categories
%{_datadir}/qlogging-categories5/kauth.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KAuth
%{_includedir}/KF5/KAuthCore
%{_includedir}/KF5/KAuthWidgets
%{_libdir}/cmake/KF5Auth
%{_libdir}/libKF5Auth.so
%{_libdir}/libKF5AuthCore.so
%{qt5dir}/mkspecs/modules/qt_KAuth.pri
%{qt5dir}/mkspecs/modules/qt_KAuthCore.pri
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kauth.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 09d350c
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bb44bdb
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6e6c579
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 21dd63b
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8335b1e
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> df1b041
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9505fde
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ef38636
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b5e3e0d
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 668807e
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 60a5636
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c6b7746
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 19f1417
- updated to 5.92.0

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 62ff377
- updated to 5.91.0

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4cb31e8
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8a131f5
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f516e50
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d3ddad7
- updated to 5.87.0

* Wed Sep 22 2021 Jan Palus <atler@pld-linux.org> 58d285d
- updated deps

* Fri Sep 17 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1a79e38
- relup

